package com.chinaitop.agile.mapper;

import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DataKcglFcbgzDefaultMapper {
    int countByExample(DataKcglFcbgzDefaultExample example);

    int deleteByExample(DataKcglFcbgzDefaultExample example);

    int deleteByPrimaryKey(String dataid);

    int insert(DataKcglFcbgzDefault record);

    int insertSelective(DataKcglFcbgzDefault record);

    List<DataKcglFcbgzDefault> selectByExample(DataKcglFcbgzDefaultExample example);
    
    DataKcglFcbgzDefault selectByPrimaryKey(String dataid);

    int updateByExampleSelective(@Param("record") DataKcglFcbgzDefault record, @Param("example") DataKcglFcbgzDefaultExample example);

    int updateByExample(@Param("record") DataKcglFcbgzDefault record, @Param("example") DataKcglFcbgzDefaultExample example);

    int updateByPrimaryKeySelective(DataKcglFcbgzDefault record);

    int updateByPrimaryKey(DataKcglFcbgzDefault record);

    /**
     * 分仓保管账
     * @param example
     * @return
     */
    List<DataKcglFcbgzDefault> countByDay(DataKcglFcbgzDefaultExample example);

    // 粮食追溯
    List<Map<String, Object>> selectByFoodstuffTracesList(Map<String, Object> paramMap);

    /**
     * 保管明细账
     * @param map
     * @return
     */
    List<Map<String, Object>> selectHouseKeepAccountData(Map<String, Object> map);

    /**
     * 按条件查询出入库质检信息
     * 
     * @param conditionMap
     * @return
     */
	List<Map<String, Object>> queryCrkJyxx(Map<String, Object> conditionMap);

	/**
	 * 查询粮食品种对应的指标项出入库字典ID
	 * 
	 * @param conditionMap
	 * @return
	 */
	Map<String, Object> queryDataLspz(Map<String, Object> conditionMap);

	/**
	 * 入库查询追溯列表
	 * 
	 * @param conditionMap
	 * @return
	 */
	List<Map<String, Object>> queryRkZsList(Map<String, Object> conditionMap);
}