package com.chinaitop.agile.service;

import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;

import java.util.List;
import java.util.Map;

public interface KeepAccountService {

	/**
	 * 根据条件查询保管账列表
	 * 
	 * @param example
	 * @return
	 */
	List<DataKcglFcbgzDefault> queryByExample(DataKcglFcbgzDefaultExample example);

	List<DataKcglFcbgzDefault> queryTotalByExample(DataKcglFcbgzDefaultExample example);

	/**
	 * 保管明细账
	 * 
	 * @param map
	 * @return
	 */
	List<Map<String, Object>> selectHouseKeepAccountData(Map<String, Object> map);

	/**
	 * 根据保管账编号获取保管账信息
	 * 
	 * @param dataid
	 * @return
	 */
	DataKcglFcbgzDefault findById(String dataid);

}
