package com.chinaitop.agile.service.impl;

import com.chinaitop.agile.mapper.DataKcglFcbgzDefaultMapper;
import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;
import com.chinaitop.agile.service.KeepAccountService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class KeepAccountServiceImpl implements KeepAccountService {
	
	@Resource
	private DataKcglFcbgzDefaultMapper dataKcglFcbgzDefaultMapper;

	public List<DataKcglFcbgzDefault> queryByExample(DataKcglFcbgzDefaultExample example) {
		return dataKcglFcbgzDefaultMapper.selectByExample(example);
	}

	public DataKcglFcbgzDefault findById(String dataid) {
		return dataKcglFcbgzDefaultMapper.selectByPrimaryKey(dataid);
	}

	public List<DataKcglFcbgzDefault> queryTotalByExample(DataKcglFcbgzDefaultExample example) {
		return dataKcglFcbgzDefaultMapper.countByDay(example);
	}

	public List<Map<String, Object>> selectHouseKeepAccountData(Map<String, Object> map) {
		return dataKcglFcbgzDefaultMapper.selectHouseKeepAccountData(map);
	}

}
